#ifndef TMHistogrammingHitsPerEventAll_H
#define TMHistogrammingHitsPerEventAll_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingHitsPerEventAll : public TMHistogramming {
 public:
  TMHistogrammingHitsPerEventAll();
  virtual ~TMHistogrammingHitsPerEventAll();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual ULong_t GetTotalNumberOfHits() {return fTotalNumberOfHits;}

 protected:
  ULong_t fTotalNumberOfHits;
  ULong_t fTotalNumberOfHitsEq[20];
  TH1F    *fTheHisto;

};

#endif
